Summary: An interpreter of embedded Ruby language
Name: eruby
Version: 0.1.3
Release: 2
Copyright: distributable
Group: Development/Languages
Source0: http://www.ruby-lang.org/~shugo/eruby/%{name}-%{version}.tar.gz
URL: http://www.ruby-lang.org/~shugo/eruby/
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby ruby-devel
Summary(ja): ƥߤRuby쥤󥿥ץ꥿
ExcludeArch: ia64

%description
eRuby interprets a Ruby code embedded text file. For example, eRuby
enables you to embed a Ruby code to a HTML file.

%description -l ja
eRubyRubyΥɤᤳޤ줿ƥȥե¹Ԥޤ
ȤСeRubyȤСHTMLRubyΥɤHTMLեᤳळ
Ǥޤ

%package -n eruby-devel
Summary: A ERuby development environment.
Group: Development/Languages

%description -n eruby-devel
Header files and libraries for an application embedded ERuby.

%description -n eruby-devel -l ja
ERubyȤ߹ץꥱ뤿ɬפȤʤإåե
饤֥Ǥ

%prep

%setup -q -c

%build
cd %{name}-%{version}
ruby Makefile.RB --enable-shared
make
cd ..

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
mkdir -p ${RPM_BUILD_ROOT}%{_includedir}

# installing binaries ...
cd %{name}-%{version}
make install prefix=${RPM_BUILD_ROOT}%{prefix} \
             mandir=${RPM_BUILD_ROOT}%{_mandir}
cd ..

# listing all files in eruby-all.files
(find \
  $RPM_BUILD_ROOT%{_bindir} \
  $RPM_BUILD_ROOT%{_libdir} \
  $RPM_BUILD_ROOT%{_mandir} \
  $RPM_BUILD_ROOT%{_includedir} \
      -type f -o -type l) | 
 sort | sed -e "s,^$RPM_BUILD_ROOT,," \
            -e "s,\(/man/man./.*\)$,\1*," > eruby-all.files

# for eruby-devel.rpm
egrep '\.([ah]|so)$' eruby-all.files > eruby-devel.files

# for eruby.rpm
sort eruby-all.files \
 eruby-devel.files |
 uniq -u > eruby.files

# strip
strip ${RPM_BUILD_ROOT}%{prefix}/bin/%{name}

%clean
rm -rf ${RPM_BUILD_ROOT}
rm -f *.files

%post -p /sbin/ldconfig -n eruby

%postun -p /sbin/ldconfig -n eruby

%files -f eruby.files -n eruby
%defattr(-, root, root)
%doc %{name}-%{version}/README.en
%doc %{name}-%{version}/README.ja
%doc %{name}-%{version}/ChangeLog

%files -f eruby-devel.files -n eruby-devel
%defattr(-, root, root)

%changelog
* Mon Jan 15 2001 Tim Powers <timp@redhat.com>
- excludearch ia64

* Mon Dec 25 2000 akira yamada <akira@redhat.com>
- Imported from Vine Linux (VineSeed).

* Thu Oct 19 2000 akira yamada <akira@vinelinux.org>
- Updated to upstream version 0.1.2.

* Thu Sep 27 2000 akira yamada <akira@vinelinux.org>
- Updated to upstream version 0.1.1
- New binary package: eruby-devel
- Removed eruby.c.O_EXCL.patch (fixed at 0.1.1)

* Tue Aug 29 2000 akira yamada <akira@vinelinux.org>
- Updated to upstream  version 0.0.9
- Added eruby.c.O_EXCL.patch

* Tue Jun 22 2000 akira yamada <akira@redhat.com>
- Initial packaging.
